<div class="profile_avatar_box" *ngIf="!loading">
    <img src="../../../../assets/img/profile_icon.svg" alt="avatar">
    <div class="font-xl font-weight-bold" style="text-align: center;">{{ student?.person?.name }}</div>
    <div class="font-lg" [translate]="'StudentStatus.'+ student?.studentStatus.alternateName"></div>
</div>

<!--Progress Bar Code-->
<div class="d-none d-sm-block">
    <div class="progress_bar__container mb-5" *ngIf="!loading">
        <div class="progress_bar__first_column">
            <div class="progress_bar__first_top_box">
                <div class="font-lg">{{ student?.inscriptionDate| localizedDate:'LLLL' }}</div>
                <div class="font-lg">{{ student?.inscriptionDate| localizedDate:'yyyy' }}</div>
            </div>
            <div class="progress_bar__first_main_box">
                <div class="progress_bar__circle progress_bar__circle_style_1"></div>
                <div class="progress_bar__line"></div>
            </div>
            <div class="progress_bar__first_bottom_box">
                <div class="font-lg">1o
                    <span [translate]="'Profile.Semester'"></span>
                </div>
                <div class="font-lg">(<span [translate]="'Profile.Enrollment'"></span>)</div>
            </div>
        </div>
        <div class="progress_bar__inner_column">
            <div class="progress_bar__top_box">
                <div class="font-lg" *ngIf="student.studentStatus.alternateName === 'active'">
                    <span [translate]="'Profile.Now'"></span>
                </div>
            </div>
            <div class="progress_bar__main_box">
                <div class="progress_bar__line"></div>
                <div class="progress_bar__circle progress_bar__circle_style_1" [ngStyle]="{'display': student.studentStatus.alternateName === 'graduated' ? 'none' : 'inherit'}"></div>
                <div class="progress_bar__small_circle_box" [ngStyle]="{'display': student.studentStatus.alternateName === 'active' ? 'none' : 'inherit'}">
                    <div class="progress_bar__small_circle"></div>
                    <div class="progress_bar__small_circle"></div>
                    <div class="progress_bar__small_circle"></div>
                </div>
                <div class="progress_bar__line"></div>
            </div>
            <div class="progress_bar__bottom_box">
                <div class="font-xl" *ngIf="student.studentStatus.alternateName === 'active'" style="text-align: center;">{{ student?.semester }}
                    <span [translate]="'Profile.Semester'"></span>
                </div>
            </div>
        </div>
        <div class="progress_bar__last_column">
            <div class="progress_bar__last_top_box">
                <div class="font-lg" *ngIf="student.studentStatus.alternateName == 'graduated'">{{ student?.graduationDate | localizedDate:'LLLL' }}</div>
                <div class="font-lg" *ngIf="student.studentStatus.alternateName == 'graduated'">{{ student?.graduationDate | localizedDate:'yyyy' }}</div>
            </div>
            <div class="progress_bar__last_main_box">
                <div class="progress_bar__line"></div>
                <div class="progress_bar__circle progress_bar__circle_style_1" [ngStyle]="{'display': student.studentStatus.alternateName === 'active' ? 'none' : 'inherit'}"></div>
                <div class="progress_bar__small_circle_box" [ngStyle]="{'display': student.studentStatus.alternateName === 'graduated' ? 'none' : 'inherit'}">
                    <div class="progress_bar__small_circle"></div>
                    <div class="progress_bar__small_circle"></div>
                    <div class="progress_bar__small_circle"></div>
                </div>
            </div>
            <div class="progress_bar__last_bottom_box">
                <div class="font-xl" *ngIf="student.studentStatus.alternateName == 'graduated'"><span [translate]="'Profile.Degree'"></span></div>
            </div>
        </div>
    </div>
</div>
<!--End of Progress Bar Code-->

<!--Card 1 Code-->
<div class="card font-style" *ngIf="!loading">
    <div class="card-body">

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.Department'"></span>
            </div>
            <div class="col-lg-3 data-colored">
                <span>{{student?.department?.name || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.Specialty'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.specialty || "-"}}</span>
            </div>
        </div>

        <div class="row">
            <!--The first two are empty columns-->
            <div class="col-lg-3"></div>
            <div class="col-lg-3"></div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.Curriculum'"></span>
            </div>
            <div class="col-lg-3 data-colored">
                <span>{{student?.studyProgram?.name || "-"}}</span>
            </div>
        </div>

        <hr>

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.UniqueIdentifier'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.uniqueIdentifier || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.StudentIdentifier'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.studentIdentifier || "-"}}</span>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.InscriptionMode'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.inscriptionMode?.name || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.InscriptionYear'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.inscriptionYear?.name || "-"}}</span>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.InscriptionPeriod'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.inscriptionPeriod?.name || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.InscriptionSemester'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.inscriptionSemester?.name || "-"}}</span>
            </div>
        </div>

    </div>
</div>
<!--End Of Card 1 Code-->

<!--Card 2 Code-->
<div class="card font-style" *ngIf="!loading">
    <div class="card-body">

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.FirstName'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.givenName || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.Username'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.user?.name || "-"}}</span>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.Lastname'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.familyName || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.Email'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.email || "-"}}</span>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.SSN'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.SSN || "-"}}</span>
            </div>
        </div>

        <hr>

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.HomePhone'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.homePhone || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.MobilePhone'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.mobilePhone || "-"}}</span>
            </div>
        </div>

        <div class="row">
            <div class="col-lg-3 label">
                <span [translate]="'Profile.HomeAddress'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.homeAddress || "-"}}</span>
            </div>
            <div class="col-lg-3 label">
                <span [translate]="'Profile.TemporaryAddress'"></span>
            </div>
            <div class="col-lg-3">
                <span>{{student?.person?.temporaryAddress || "-"}} </span>
            </div>
        </div>
    </div>
</div>
<!--End of Card 2 Code-->
